ApiManagementThird party apps
POST
/v1/mgmt/agentic/identities/searchAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
userId?string
clientId?string
resourceId?string
consentId?string
page?integer
Page number starting with 0 for the first page
Format
int32limit?integer
Format
int32Search agentic identities (consents granted to agentic apps), filterable by client ID, resource ID or user ID, using a valid management key.
curl -X POST "https://api.descope.com/v1/mgmt/agentic/identities/search" \ -H "Content-Type: application/json" \ -d '{}'{ "identities": [ { "consent": { "id": "string", "appId": "string", "userId": "string", "scopes": [ "string" ], "grantedBy": "string", "createdTime": 0, "tenantId": "string", "ExpireTime": 0, "modifiedTime": 0 }, "agentName": "string", "resourceId": "string", "clientId": "string", "createdBy": "string" } ], "total": 0}export interface Response {identities?: AgenticIdentity[]total?: number}export interface AgenticIdentity {consent?: ThirdPartyApplicationConsentagentName?: stringresourceId?: stringclientId?: stringcreatedBy?: string}export interface ThirdPartyApplicationConsent {id?: stringappId?: stringuserId?: stringscopes?: string[]grantedBy?: stringcreatedTime?: numbertenantId?: stringExpireTime?: numbermodifiedTime?: number} Was this helpful?